## librecaptcha 0.6.2

=== requirements.txt ===
Pillow>=4.1.1
requests>=2.18.1
slimit>=0.8.1
PyGObject>=3.30.0

## librecaptcha 0.4.0

=== debian/changelog ===
librecaptcha (0.4.0-1) unstable; urgency=medium

  * New upstream release
    - Drop UTF-8 patch included upstream
    - Now uses display from imagemagick, add dep

 -- Paul Wise <pabs@debian.org>  Wed, 28 Feb 2018 08:59:50 +0800

librecaptcha (0.3.3-1) unstable; urgency=medium

  * New upstream release
    - Upstream added git tags, update debian/watch
    - Upstream added setup.py, drop manual install, add deps
  * Add patch to read README.rst as UTF-8
  * Bump debhelper compat level to 11

 -- Paul Wise <pabs@debian.org>  Mon, 19 Feb 2018 11:42:53 +0800

librecaptcha (0.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Paul Wise <pabs@debian.org>  Tue, 13 Feb 2018 14:27:39 +0800

librecaptcha (0.2.0-2) unstable; urgency=medium

  * Correct version of python3 in dependencies

 -- Paul Wise <pabs@debian.org>  Fri, 12 Jan 2018 08:20:44 +0800

librecaptcha (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #886709)

 -- Paul Wise <pabs@debian.org>  Wed, 10 Jan 2018 13:24:24 +0800

=== debian/control ===
Source: librecaptcha
Section: web
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3 (>= 3.4~),
 python3-pil (>= 4.1.1~),
 python3-requests (>= 2.18.1~),
 python3-setuptools,
 python3-slimit (>= 0.8.1~),
Standards-Version: 4.1.3
Homepage: https://github.com/nickolas360/librecaptcha/
X-Python3-Version: >= 3.4
Testsuite: autopkgtest-pkg-python

Package: python3-librecaptcha
Architecture: all
Depends:
 imagemagick,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fonts-freefont-otf | fonts-liberation | fonts-liberation2 | fonts-dejavu-core,
Description: program and library for solving reCAPTCHA challenges
 A program and library for solving reCAPTCHA challenges.
 It provides an interface through which a human can solve them.
 .
 https://en.wikipedia.org/wiki/ReCAPTCHA

## librecaptcha 0.6.2

=== debian/changelog ===
librecaptcha (0.6.2-1) unstable; urgency=medium

  * New upstream release
    - Now has a GTK UI available with --gui, add deps
  * Switch from debian/compat to debhelper-compat
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes needed
  * Add Rules-Requires-Root: no
  * Drop X-Python3-Version, oldoldstable has 3.4
  * Re-export upstream's OpenPGP keys in a minimal way
  * Add warning to description about rejection issues

 -- Paul Wise <pabs@debian.org>  Tue, 09 Jul 2019 14:58:32 +0800

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,30 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
+ gir1.2-gdkpixbuf-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
  python3 (>= 3.4~),
+ python3-gi (>= 3.30.0~),
  python3-pil (>= 4.1.1~),
  python3-requests (>= 2.18.1~),
  python3-setuptools,
  python3-slimit (>= 0.8.1~),
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://github.com/nickolas360/librecaptcha/
-X-Python3-Version: >= 3.4
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-librecaptcha
 Architecture: all
 Depends:
+ gir1.2-gdkpixbuf-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
  imagemagick,
+ python3-gi (>= 3.30.0~),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -28,3 +36,8 @@
  It provides an interface through which a human can solve them.
  .
  https://en.wikipedia.org/wiki/ReCAPTCHA
+ .
+ Please note that tokens from successfully completed CAPTCHAs
+ may be rejected due to lack of support for BotGuard:
+ .
+ https://github.com/nickolas360/librecaptcha/issues/7

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%librecaptcha-$1.tar.gz%" \
https://github.com/nickolas360/librecaptcha/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## librecaptcha 0.6.4

=== requirements.txt ===
Pillow>=4.1.1
requests>=2.18.1,<3
slimit>=0.8.1,<0.9
PyGObject>=3.30.0,<4

=== debian/changelog ===
librecaptcha (0.6.4-1) unstable; urgency=medium

  [ Paul Wise ]
  * New upstream release.
    - Update URLs & copyright info to their new identity
    - Drop signing key with their old identity
  * Update standards version to 4.5.1, no changes needed.
  * Ubpdate debhelper compat level to 13, no changes needed.
  * Switch to dh-sequence-python3 from --with and the dep.

  [ lintian-brush ]
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Paul Wise <pabs@debian.org>  Sun, 07 Feb 2021 15:47:54 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  gir1.2-gdkpixbuf-2.0,
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
@@ -14,8 +14,8 @@
  python3-requests (>= 2.18.1~),
  python3-setuptools,
  python3-slimit (>= 0.8.1~),
-Standards-Version: 4.4.0
-Homepage: https://github.com/nickolas360/librecaptcha/
+Standards-Version: 4.5.1
+Homepage: https://github.com/taylordotfish/librecaptcha/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -40,4 +40,4 @@
  Please note that tokens from successfully completed CAPTCHAs
  may be rejected due to lack of support for BotGuard:
  .
- https://github.com/nickolas360/librecaptcha/issues/7
+ https://github.com/taylordotfish/librecaptcha/issues/7

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%librecaptcha-$1.tar.gz%" \
https://github.com/taylordotfish/librecaptcha/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## librecaptcha 0.7.3

=== requirements.txt ===
Pillow>=4.1.1
requests>=2.18.1,<3
esprima>=4.0.0,<5
PyGObject>=3.30.0,<4

=== debian/changelog ===
librecaptcha (0.7.3-1) unstable; urgency=medium

  * New upstream release.
    - Switch to the branch without CC-BY 2.0 licensed images
    - Keep using slimit until esprima is packaged
  * Declare compliance with Debian Policy 4.6.0, no changes needed

 -- Paul Wise <pabs@debian.org>  Sun, 29 Aug 2021 15:00:06 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-requests (>= 2.18.1~),
  python3-setuptools,
  python3-slimit (>= 0.8.1~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/taylordotfish/librecaptcha/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%librecaptcha-$1.tar.gz%" \
https://github.com/taylordotfish/librecaptcha/tags \
(?:.*?/)?no-cc-by-2.0-(\d[\d.]*)\.tar\.gz
